﻿using Styx;
using Styx.Helpers;

namespace The_Combobox
{
    public class GeneralSettings : Settings
    {
        private static GeneralSettings _instance;

        private GeneralSettings() : base(SettingsPath + ".config")
        {
        }

        private static string SettingsPath
        {
            get
            {
                return string.Format("{0}\\Settings\\TheCombobox\\TheCombobox_{1}",
                                     Logging.ApplicationPath, StyxWoW.Me.Class);
            }
        }

        public static GeneralSettings Instance
        {
            get { return _instance ?? (_instance = new GeneralSettings()); }
        }

        [Setting]
        [DefaultValue("The Ugly")]
        public string The_Ugly { get; set; }
    }
}